#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  dolphin-plugins-25.12.2

- Next

  kdenlive-25.12.2

- Up
- Home

# KDDockWidgets-2.4.0

## Introduction to KDDockWidgets

The KDDockWidgets package provides Qt dock widgets that are suitable for replacing QDockWidget and implementing advanced functionality that is missing from Qt.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/KDAB/KDDockWidgets/releases/download/v2.4.0/KDDockWidgets-2.4.0.tar.gz

- Download MD5 sum: 6ad73ca8501c207d99116210054814aa

- Download size: 5.4 MB

- Estimated disk space required: 117 MB

- Estimated build time: 0.6 SBU (using parallelism=4)

### KDDockWidgets Dependencies

#### Required

fmt-12.1.0, Qt-6.11.0, and Vulkan-Loader-1.4.341.0

#### Optional

KDBindings, nlohmann_json, and spdlog

## Installation of KDDockWidgets

Install KDDockWidgets by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: libkddockwidgets-qt6.so
Installed Directories: $KF6_PREFIX/cmake/KDDockWidgets-qt6, $KF6_PREFIX/include/kddockwidgets-qt6, and $KF6_PREFIX/share/doc/kddockwidgets

### Short Descriptions

libkddockwidgets-qt6.so | is a library containing Qt-based dock widgets

- Prev

  dolphin-plugins-25.12.2

- Next

  kdenlive-25.12.2

- Up
- Home